﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Install.Core.Common
{
    public class InstallPack
    {
        /// <summary>
        /// 本地安装包路径
        /// </summary>
        public string PackPath { get; set; }

        /// <summary>
        /// 执行文件相对安装目录路径
        /// </summary>
        public string Exe { get; set; }

        /// <summary>
        /// 快捷方式名称
        /// </summary>
        public string Name { get; set; }

        /// <summary>
        /// 开机自启动
        /// </summary >
        public bool IsAutoRun { get; set; }

        /// <summary>
        /// 默认被选择
        /// </summary>
        public bool IsDefaultSelected { get; set; }

        /// <summary>
        /// 当升级时，必须复制的文件
        /// </summary>
        public List<string> Others { get; set; }

        /// <summary>
        /// 更新程序的脚本dll
        /// </summary>
        public string UpdateScript { get; set; }

        /// <summary>
        /// 在 脚本dll 的 脚本类全名
        /// </summary>
        public string ScriptTypeFullName { get; set; }

        /// <summary>
        /// 版本
        /// </summary>
        public string Version { get; set; }

        [Newtonsoft.Json.JsonIgnore]
        /// <summary>
        /// 任务管理器中的名称
        /// </summary>
        public string ProcessName
        {
            get
            {
                //对Exe 转换。 
                //1.去掉.exe 
                return System.IO.Path.GetFileNameWithoutExtension(Exe);

            }
        }
    }

}
